MDL-43535 webservices: Adding missing deprecated WS
authorDavid Monllao <davidm@moodle.com>
Thu, 12 Feb 2015 02:13:36 +0000 (10:13 +0800)
committerDavid Monllao <davidm@moodle.com>
Thu, 12 Feb 2015 02:13:36 +0000 (10:13 +0800)
- enrol_manual needs a version bump to execute
  external_update_descriptions()
- core_user_get_users_by_id() is now also marked
  as deprecated

enrol/manual/version.php
user/externallib.php

index 3b9b563..70f473b 100644 (file)
@@ -24,7 +24,7 @@
 
 defined('MOODLE_INTERNAL') || die();
 
-$plugin->version   = 2014111000;        // The current plugin version (Date: YYYYMMDDXX)
+$plugin->version   = 2015021200;        // The current plugin version (Date: YYYYMMDDXX)
 $plugin->requires  = 2014110400;        // Requires this Moodle version
 $plugin->component = 'enrol_manual';    // Full name of the plugin (used for diagnostics)
 $plugin->cron      = 600;
index 9a5b378..813f5fe 100644 (file)
@@ -807,6 +807,15 @@ class core_user_external extends external_api {
         return new external_multiple_structure(self::user_description($additionalfields));
     }
 
+    /**
+     * Marking the method as deprecated.
+     *
+     * @return bool
+     */
+    public static function get_users_by_id_is_deprecated() {
+        return true;
+    }
+
     /**
      * Returns description of method parameters
      *
@@ -1451,6 +1460,4 @@ class moodle_user_external extends external_api {
     public static function get_users_by_courseid_is_deprecated() {
         return true;
     }
-
-
 }